Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.gui
Class QPainterPath_Element

    java.lang.Object
      com.trolltech.qt.QSignalEmitter
          com.trolltech.qt.QtJambiObject
              com.trolltech.qt.gui.QPainterPath_Element

All Implemented Interfaces:
  QtJambiInterface, java.lang.Cloneable

    public class QPainterPath_Element

extends QtJambiObject
implements java.lang.Cloneable

Nested Class Summary

Nested classes/interfaces inherited from class com.trolltech.qt.QSignalEmitter
`QSignalEmitter.Signal0, QSignalEmitter.Signal1, QSignalEmitter.Signal2, QSignalEmitter.Signal3, QSignalEmitter.Signal4, QSignalEmitter.Signal5, QSignalEmitter.Signal6, QSignalEmitter.Signal7, QSignalEmitter.Signal8, QSignalEmitter.Signal9`

Constructor Summary
`QPainterPath_Element()` Creates a new QPainterPath_Element

Method Summary
`QPainterPath_Element` | `clone()` This method is reimplemented for internal reasons
`static QPainterPath_Element` | `fromNativePointer(QNativePointer nativePointer)` This method returns the QPainterPath_Element instance pointed to by `nativePointer`.
`boolean` | `isCurveTo()` Returns true if the element is a curve, otherwise returns false.
`boolean` | `isLineTo()` Returns true if the element is a line, otherwise returns false.
`boolean` | `isMoveTo()` Returns true if the element is moving the current position, otherwise returns false.
`static QNativePointer` | `nativePointerArray(QPainterPath_Element[] array)` This function returns a QNativePointer that is pointing to the specified QPainterPath_Element array.
`QPointF` | `toPoint()` Converts this painter path to a point.

Methods inherited from class com.trolltech.qt.QtJambiObject
`dispose, disposed, equals, finalize, reassignNativeResources, tr, tr, tr`

Methods inherited from class com.trolltech.qt.QSignalEmitter
`blockSignals, disconnect, disconnect, signalsBlocked, signalSender, thread`

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.trolltech.qt.QtJambiInterface
`disableGarbageCollection, nativeId, nativePointer, reenableGarbageCollection, setJavaOwnership`

Constructor Detail

### QPainterPath_Element

    public QPainterPath_Element()

  Creates a new QPainterPath_Element

Method Detail

### isCurveTo

    public final boolean isCurveTo()

  Returns true if the element is a curve, otherwise returns false.

See also:
  type, and `QPainterPath::CurveToElement` .

### isLineTo

    public final boolean isLineTo()

  Returns true if the element is a line, otherwise returns false.

See also:
  type, and `QPainterPath::LineToElement` .

### isMoveTo

    public final boolean isMoveTo()

  Returns true if the element is moving the current position, otherwise returns false.

See also:
  type, and `QPainterPath::MoveToElement` .

### fromNativePointer

    public static QPainterPath_Element fromNativePointer(QNativePointer nativePointer)

  This method returns the QPainterPath_Element instance pointed to by `nativePointer`.

### nativePointerArray

    public static QNativePointer nativePointerArray(QPainterPath_Element[] array)

  This function returns a QNativePointer that is pointing to the specified QPainterPath_Element array.

### toPoint

    public final QPointF toPoint()

  Converts this painter path to a point.

### clone

    public QPainterPath_Element clone()

  This method is reimplemented for internal reasons

  Overrides:
    `clone` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD